GET
Get resource delegations
Retrieves outgoing and incoming resource delegation information for a TRON wallet
Path Params
-
coinstring requiredCoin or token identifier (e.g. trx, ttrx) -
walletIdstring requiredWallet ID to retrieve active delegations for
Query Params
-
typestring enumFilter by delegation direction: 'outgoing' for delegations from this address, 'incoming' for delegations to this address; omit to fetch bothoutgoingincoming -
resourcestringFilter by resource type (case-insensitive: ENERGY, energy, BANDWIDTH, bandwidth) -
limitstring numberMaximum number of results to return -
nextBatchPrevIdstringPagination cursor from previous response
Responses
200
OK
Response Body
object
-
addressstring required -
coinstring required -
delegationsobject requireddelegations object
-
outgoingarray of objects requiredoutgoing object
-
idstring required -
coinstring required -
ownerAddressstring required -
receiverAddressstring required -
resourcestring enum requiredENERGYBANDWIDTH -
balancestring required -
updatedAtstring required
-
-
incomingarray of objects requiredincoming object
-
idstring required -
coinstring required -
ownerAddressstring required -
receiverAddressstring required -
resourcestring enum requiredENERGYBANDWIDTH -
balancestring required -
updatedAtstring required
-
-
nextBatchPrevIdstring
-
400
Bad Request
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
500
Internal Server Error
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id